Description
we work with : elements.tree.setSelectedNodes([pckdtl|58 C5AF30-61B8-4E93-83AF-ECE3D2D659ED])

This works fine in the smart client but in the webclient we get:

java.lang.String cannot be cast to java.lang.Number

Wrapped java.lang.ClassCastException: java.lang.String cannot be cast to java.lang.Number
(C:\\servoy_workspace\\TSD\\projectx\\forms\\pckdtl_tree.js#629)

at C:\\servoy_workspace\\TSD\\projectx\\forms\\pckdtl_tree.js:629 (btnDelete)

at C:\\servoy_workspace\\TSD\\svy_nav_navigation\\forms\\svy_nav_fr_toolbar_base.js:370 (callProgramFunction)

History

#1 - 11/12/2013 01:13 PM - Imre Tokai

- Status changed from New to In Progress

Hi Sanneke,

Usage of that method is actually like in sample:

//Select treeview nodes

var selectedNodes = new Array();

selectedNodes[0] = 1;

elements.treeview.setSelectedNodes(selectedNodes);

Submitted array should contain 1 element that's the row's number which you want to select, indexing starts at 1.
Regards

#2 - 12/17/2013 12:48 PM - Sanneke Aleman
- File treebug.servoy added

We tested your idea but is doesn't work. The problem is that our Rowld is not a number but a string. We made a sample, you can see that it works
perfect in Smart Client but in Webclient it doesn't.

#3 - 12/17/2013 03:34 PM - Imre Tokai
- File servoy-treeview.jar added

- Assignee set to Imre Tokai

Try with attached and report, please

Regards

#4 - 12/19/2013 11:04 AM - Sanneke Aleman

We tested your jar and it worked good. Only problem is that we work with the experimental jar.

#5 - 12/19/2013 01:19 PM - Imre Tokai

- Status changed from In Progress to Resolved

Hi Sanneke,
yes it should contain experimental features too that are mostly related to SmartClient, together with recent Andrei's work on #740.
Updated Files section

Regards

#6 - 12/19/2013 01:29 PM - Sanneke Aleman

ok thanks

Files

treebug.servoy 7.3 KB 12/17/2013 Sanneke Aleman
servoy-treeview.jar 6.22 MB 12/17/2013 Imre Tokai
